## org.apache.poi.hdgf.streams
Class TrailerStream

    java.lang.Object
      org.apache.poi.hdgf.streams.Stream
          org.apache.poi.hdgf.streams.PointerContainingStream
              org.apache.poi.hdgf.streams.TrailerStream

    public class TrailerStream

extends PointerContainingStream

The TrailerStream is a special kind of Stream containing pointers, and some core document settings. These is one of these in each document, and it's pointed to by a special series of byte near the start of the file.

Constructor Summary
`protected` `TrailerStream(Pointer pointer, StreamStore store, ChunkFactory chunkFactory, PointerFactory pointerFactory)`

Method Summary

Methods inherited from class org.apache.poi.hdgf.streams.PointerContainingStream
`findChildren, getChildPointers, getPointedToStreams`

Methods inherited from class org.apache.poi.hdgf.streams.Stream
`_getContentsLength, _getStore, createStream, getPointer, getStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrailerStream

    protected TrailerStream(Pointer pointer,
                            StreamStore store,
                            ChunkFactory chunkFactory,
                            PointerFactory pointerFactory)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.